Skip to navigation

Remove peer from cluster

Attempts to remove the node from the cluster. This endpoint returns an error if the node (peer) has shards on it.

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

peer_idintegerRequired
Id of the peer

Query parameters

timeoutintegerOptional>=1

Wait for operation commit timeout in seconds. If timeout is reached - request will return with service error.

forcebooleanOptionalDefaults to false

If true - removes peer even if it has shards/replicas on it.

Response

successful operation
usageobject or anyOptional
timefloatOptional
Time spent to process this request
statusstringOptional
resultbooleanOptional

Errors

4XX
Client Request Error